/*
 *@description:查询
 *@author: hudw
 *@date: 2022-03-14 11:45:54
*/
<template>

<a-page-header class="page-header" :title="$route.meta.title" :bordered="false" style="background-color: #fff; margin-bottom: 10px">
  <p-grid-form
    ref="gird"
    :span="6"
    style="font-weight:normal"
    :labelCol="{ span: 9 }"
    :wrapperCol="{ span: 15 }"
    @submit="submit"
    :items="mx_queryFromItems"/>
      <a-space  slot="extra">
      <p-button type="primary" icon="search" @clickSync="submit">查询</p-button>
      <p-button type="primary" @clickSync="reset">重置</p-button>
      <!-- <p-button type="primary" @click="adQueryClick">高级查询</p-button> -->
    </a-space>
    <!-- <advancedQueryModel :fieldOptions="fieldOptions||[]" :bizType="bizType" :adQueryUrl="adQueryUrl" :visible.sync="visible" /> -->
  </a-page-header>

</template>
<script>
import { setQueryFormItmes } from './formConfig';
// import highQueryModel from '@/blocks/components/queryModel/index.vue';

export default {
  // components:{highQueryModel},
  props: {
     options: {//字典
      type: Object
    }
  },
  data() {
    return {
      visible:false,
      mx_queryFromItems: setQueryFormItmes(this)
    };
  },
  mounted() {

  },
  methods: {
    getFieldsValue(){
     return this.$refs.gird.form.getFieldsValue()
    },
    submit(e,) {
      e.preventDefault();
      this.$emit('submit',this.$refs.gird.form.getFieldsValue())
    },
    reset(e) {
      e.preventDefault();
      this.$refs.gird.form.resetFields()
    }
  },
};
</script>
